Bug 1291916 - Review Request: nodejs-spdx-exceptions - A list of SPDX standard license exceptions
Review Request: nodejs-spdx-exceptions - A list of SPDX standard license exce...
Status: CLOSED DUPLICATE of bug 1285471
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews
  Show dependency treegraph
 
Reported: 2015-12-15 16:43 EST by Jared Smith
Modified: 2015-12-15 18:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 18:19:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-12-15 16:43:42 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-spdx-exceptions/nodejs-spdx-exceptions.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-spdx-exceptions/nodejs-spdx-exceptions-1.0.4-1.fc24.src.rpm
Description: A list of SPDX standard license exceptions
Fedora Account System Username:
Comment 1 Tom Hughes 2015-12-15 17:24:16 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/acls/name/nodejs-spdx-exceptions
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 3 files have unknown license. Detailed
     output of licensecheck in /home/tom/1291916-nodejs-spdx-
     exceptions/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-spdx-exceptions-1.0.4-1.fc24.noarch.rpm
          nodejs-spdx-exceptions-1.0.4-1.fc24.src.rpm
nodejs-spdx-exceptions.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-spdx-exceptions.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/tom/1291916-nodejs-spdx-exceptions/srpm/nodejs-spdx-exceptions.spec	2015-12-15 21:49:51.759495378 +0000
+++ /home/tom/1291916-nodejs-spdx-exceptions/srpm-unpacked/nodejs-spdx-exceptions.spec	2015-11-25 16:35:56.000000000 +0000
@@ -44,5 +44,4 @@
 %check
 %nodejs_symlink_deps --check
-%{__nodejs} -e 'require("./")'
 # Test runner goes here
 echo "There are no tests...."


Requires
--------
nodejs-spdx-exceptions (rpmlib, GLIBC filtered):
    nodejs
    nodejs(engine)



Provides
--------
nodejs-spdx-exceptions:
    nodejs-spdx-exceptions
    npm(spdx-exceptions)



Source checksums
----------------
https://registry.npmjs.org/spdx-exceptions/-/spdx-exceptions-1.0.4.tgz :
  CHECKSUM(SHA256) this package     : 6cb97051fd8e352539c8ac613ee9f176f5727302d6ee224bb8b90ad5039c406a
  CHECKSUM(SHA256) upstream package : 6cb97051fd8e352539c8ac613ee9f176f5727302d6ee224bb8b90ad5039c406a


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1291916
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Tom Hughes 2015-12-15 17:25:24 EST
There's a spec mismatch, so make sure you use the one with the test require, but other than that it's fine.
Comment 3 Jared Smith 2015-12-15 18:19:39 EST
Ooops, not sure how I missed the duplicate :-(

*** This bug has been marked as a duplicate of bug 1285471 ***

Note You need to log in before you can comment on or make changes to this bug.